
varying vec3 normal;
varying vec3 lightVec;
varying vec3 viewVec;

varying vec4 ambient;


void main()
{
    gl_Position = gl_ModelViewProjectionMatrix * gl_Vertex;  // vertex pos. in rasterizing coords
    gl_TexCoord[0] = gl_MultiTexCoord0;				     // copy through

    vec4 vert = vec4( gl_ModelViewMatrix * gl_Vertex );      // vertex pos. in view coords, like light pos.
    normal = gl_NormalMatrix * gl_Normal;				     // dito for normal
    lightVec = vec3( gl_LightSource[0].position.xyz * vert.w - // compute light vector
				  vert.xyz * gl_LightSource[0].position.w );
    viewVec = vec3(0.0) - vec3(vert.xyz / vert.w);		     // view vector    

    // compute the ambient and globalAmbient terms
    ambient = gl_FrontMaterial.ambient * gl_LightSource[0].ambient;
    ambient += gl_LightModel.ambient * gl_FrontMaterial.ambient;
}
