// Der "Gooch-Shader"

//uniform float cool_threshold;
//uniform float warm_threshold;
varying vec3 normal;
varying vec3 lightVec;


const float Kd = 0.8;				// should really be taken from gl_FrontMaterial
const vec3 kCool = vec3( 0.58, 0.10, 0.76);
const vec3 kWarm = vec3( 0.88, 0.81, 0.49);


void main()
{
	vec3 N = normalize( normal );
	vec3 L = normalize( lightVec );

	float NdotL = clamp( dot(L, N), 0.0, 1.0 );
	// float NdotL = smoothstep( cool_threshold, warm_threshold, dot(L, N) );
	vec3 Cgooch = mix( kWarm, kCool, NdotL );

	vec3 result = Kd * Cgooch;
	gl_FragColor = vec4(result, 1.0);
}

